$(function() {

    $('[data-owl]').each(function() {
        var $base = $(this);

        var options = $base.data('owl');

        if (typeof options == 'number') {
            options = {items: options};
        } else if (typeof options != 'object') {
            options = {};
        }

        
        console.log(options);

        $.each(this.attributes, function() {
            if (this.name.substr(0,5) === 'data-') {
                var k = this.name.substr(5);
                if (k !== 'owl') {
                    options[k] = $base.data(k);
                }
            }
        });


        //todo merge breakpoint with systemoptions
        var breakpoints = {
            //xlg : 1199,
            lg : 979,
            md : 768,
            sm : 479,
            xs : 0
        };

        var infoFound = false;

        var cols = [];

        for (var col in breakpoints) {
            var data = $base.data('items-'+col);
            if (data != null) {
                cols.push([breakpoints[col], parseInt(data)]);
                infoFound = true;
            }
        }

        if ($base.hasClass('row')) {

            var $items = $base.children();

            for (var col in breakpoints) {

                for (var i = 1; i <= 12; i++) {
                    var cls = 'col-'+col+'-'+i;

                    if (!infoFound) {
                        var n = $base.children('.' + cls).length;
                        if ($items.length === n) {
                            cols.push([breakpoints[col], 12 / i]);
                        }
                    } else {
                        var n = true;
                    }

                    if (n) {
                        $items.removeClass(cls).addClass('col-xs-12').removeClass('col-'+col+'-push-'+i);
                    }

                }

            }
            $base.removeClass('row');

        }

        if (cols.length > 0 && !options.itemsCustom) {
            // itemsCustom: [[0, 1], [400, 1], [700, 1], [1000, 2], [1200, 2], [1600, 2]],
            options.itemsCustom = cols;
        }

        // http://owlgraphic.com/owlcarousel/
        var defaults = {
            items: 3,
            pagination: false,
            navigation: false,
            afterAction: function(e) {
                this.$owlItems.removeClass('active');
                this.$owlItems.eq(this.currentItem).addClass('active')
            }
        };


        //hack responsive not set - take items!
        var settings = $.extend({}, defaults, options);

        console.log(settings);



        if (cols.length == 0 && !settings.responsive && !settings.itemsCustom) {
            settings.itemsCustom = [];
            for (var col in breakpoints) {
                settings.itemsCustom.push([breakpoints[col], settings.items]);
            }
        }

        $base.owlCarousel(settings);

        $base.on('change.owl.carousel', function(e){
            // console.log('CHANGE');
            $('.owl-item.active').removeClass('active');
            $('.owl-item').eq(idx).addClass('active');
        });

    });

});